var hyphenate = require('./hyphenate-style-name');

module.exports = injectStyle;

function injectStyle(styletron, styles, media, pseudo) {
  var classString = '';
  for (var key in styles) {
    var val = styles[key];
    var valType = typeof val;
    if (valType === 'string' || valType === 'number') {
      classString += ' ' + styletron.injectDeclaration({prop: hyphenate(key), val: val, media: media, pseudo: pseudo});
      continue;
    }
    if (Array.isArray(val)) {
      for (var i = 0; i < val.length; i++) {
        var hyphenated = hyphenate(key);
        classString += ' ' + styletron.injectDeclaration({prop: hyphenated, val: val[i], media: media, pseudo: pseudo});
      }
      continue;
    }
    if (valType === 'object') {
      if (key[0] === ':') {
        classString += injectStyle(styletron, val, media, key);
        continue;
      }
      if (key.substring(0, 6) === '@media') {
        classString += injectStyle(styletron, val, key.substr(7), pseudo);
        continue;
      }
    }
  }
  return classString;
}
